GET/api/gateway/v2/model/getall

Get all available Models (products)

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/api/gateway/v2/model/getall"
[  {    "applicationId": 0,    "id": "string",    "chainedCategories": [      0    ],    "chainableModelIds": [      "string"    ],    "children": [      {        "applicationId": 0,        "id": "string",        "chainedCategories": [          0        ],        "chainableModelIds": [          "string"        ],        "children": [],        "code": "string",        "description": "string",        "defaultMaterialCode": "string",        "fullDescription": "string",        "imageUrl": "string",        "isDefaultModel": true,        "isDescriptionEnabled": true,        "isHeightEnabled": true,        "isWidthEnabled": true,        "mainCategoryLinkDescription": "string",        "mainCategoryLinkDisplayName": "string",        "mainCategoryLinkId": 0,        "mainCategoryLinkImage": "string",        "materialCategoryID": 0,        "parentId": "string",        "productCategoryDescription": "string",        "productCategoryId": 0,        "productCategoryInterfaceKey": "string",        "productLeadTime": 0,        "remarks": "string",        "interfaceKey": "string",        "value": "string"      }    ],    "code": "string",    "description": "string",    "defaultMaterialCode": "string",    "fullDescription": "string",    "imageUrl": "string",    "isDefaultModel": true,    "isDescriptionEnabled": true,    "isHeightEnabled": true,    "isWidthEnabled": true,    "mainCategoryLinkDescription": "string",    "mainCategoryLinkDisplayName": "string",    "mainCategoryLinkId": 0,    "mainCategoryLinkImage": "string",    "materialCategoryID": 0,    "parentId": "string",    "productCategoryDescription": "string",    "productCategoryId": 0,    "productCategoryInterfaceKey": "string",    "productLeadTime": 0,    "remarks": "string",    "interfaceKey": "string",    "value": "string"  }]
{  "type": "string",  "title": "string",  "status": 0,  "detail": "string",  "instance": "string",  "extensions": {    "property1": null,    "property2": null  },  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "property1": null,  "property2": null}
{  "type": "string",  "title": "string",  "status": 0,  "detail": "string",  "instance": "string",  "extensions": {    "property1": null,    "property2": null  },  "property1": null,  "property2": null}
GET/api/gateway/v2/model/getformaterial

Get all valid Models (products) for a certain Material.

Query Parameters

materialId*integer

Id of the Material

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/api/gateway/v2/model/getformaterial?materialId=0"
[  {    "applicationId": 0,    "id": "string",    "chainedCategories": [      0    ],    "chainableModelIds": [      "string"    ],    "children": [      {        "applicationId": 0,        "id": "string",        "chainedCategories": [          0        ],        "chainableModelIds": [          "string"        ],        "children": [],        "code": "string",        "description": "string",        "defaultMaterialCode": "string",        "fullDescription": "string",        "imageUrl": "string",        "isDefaultModel": true,        "isDescriptionEnabled": true,        "isHeightEnabled": true,        "isWidthEnabled": true,        "mainCategoryLinkDescription": "string",        "mainCategoryLinkDisplayName": "string",        "mainCategoryLinkId": 0,        "mainCategoryLinkImage": "string",        "materialCategoryID": 0,        "parentId": "string",        "productCategoryDescription": "string",        "productCategoryId": 0,        "productCategoryInterfaceKey": "string",        "productLeadTime": 0,        "remarks": "string",        "interfaceKey": "string",        "value": "string"      }    ],    "code": "string",    "description": "string",    "defaultMaterialCode": "string",    "fullDescription": "string",    "imageUrl": "string",    "isDefaultModel": true,    "isDescriptionEnabled": true,    "isHeightEnabled": true,    "isWidthEnabled": true,    "mainCategoryLinkDescription": "string",    "mainCategoryLinkDisplayName": "string",    "mainCategoryLinkId": 0,    "mainCategoryLinkImage": "string",    "materialCategoryID": 0,    "parentId": "string",    "productCategoryDescription": "string",    "productCategoryId": 0,    "productCategoryInterfaceKey": "string",    "productLeadTime": 0,    "remarks": "string",    "interfaceKey": "string",    "value": "string"  }]
{  "type": "string",  "title": "string",  "status": 0,  "detail": "string",  "instance": "string",  "extensions": {    "property1": null,    "property2": null  },  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "property1": null,  "property2": null}
{  "type": "string",  "title": "string",  "status": 0,  "detail": "string",  "instance": "string",  "extensions": {    "property1": null,    "property2": null  },  "property1": null,  "property2": null}
GET/api/gateway/v2/model/getformaterialbycode

Get all valid Models (products) for a certain Material.

Query Parameters

materialCode*string

Code of the Material

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/api/gateway/v2/model/getformaterialbycode?materialCode=string"
[  {    "applicationId": 0,    "id": "string",    "chainedCategories": [      0    ],    "chainableModelIds": [      "string"    ],    "children": [      {        "applicationId": 0,        "id": "string",        "chainedCategories": [          0        ],        "chainableModelIds": [          "string"        ],        "children": [],        "code": "string",        "description": "string",        "defaultMaterialCode": "string",        "fullDescription": "string",        "imageUrl": "string",        "isDefaultModel": true,        "isDescriptionEnabled": true,        "isHeightEnabled": true,        "isWidthEnabled": true,        "mainCategoryLinkDescription": "string",        "mainCategoryLinkDisplayName": "string",        "mainCategoryLinkId": 0,        "mainCategoryLinkImage": "string",        "materialCategoryID": 0,        "parentId": "string",        "productCategoryDescription": "string",        "productCategoryId": 0,        "productCategoryInterfaceKey": "string",        "productLeadTime": 0,        "remarks": "string",        "interfaceKey": "string",        "value": "string"      }    ],    "code": "string",    "description": "string",    "defaultMaterialCode": "string",    "fullDescription": "string",    "imageUrl": "string",    "isDefaultModel": true,    "isDescriptionEnabled": true,    "isHeightEnabled": true,    "isWidthEnabled": true,    "mainCategoryLinkDescription": "string",    "mainCategoryLinkDisplayName": "string",    "mainCategoryLinkId": 0,    "mainCategoryLinkImage": "string",    "materialCategoryID": 0,    "parentId": "string",    "productCategoryDescription": "string",    "productCategoryId": 0,    "productCategoryInterfaceKey": "string",    "productLeadTime": 0,    "remarks": "string",    "interfaceKey": "string",    "value": "string"  }]
{  "type": "string",  "title": "string",  "status": 0,  "detail": "string",  "instance": "string",  "extensions": {    "property1": null,    "property2": null  },  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "property1": null,  "property2": null}
{  "type": "string",  "title": "string",  "status": 0,  "detail": "string",  "instance": "string",  "extensions": {    "property1": null,    "property2": null  },  "property1": null,  "property2": null}

On this page